Subject: Re: [bitcoin-dev] Blockchain verification flag (BIP draft)

From: Gregory Maxwell <[email-masked]>
Date: Sun, 6 Dec 2015 06:26:15 +0000

On Sun, Dec 6, 2015 at 2:47 AM, James Hilliard via bitcoin-dev
<[email-masked]> wrote:
> I think something that anyone who isn't validating should be aware of is
> that cgminer(which powers the vast majority of the current mining network)
> doesn't allow for a pool to revert to mining on the previous block due to
> the way chain tracking is implemented.

An interesting potential use for the flag suggested in this draft
would be allowing non-monotone mining for non-verified blocks.

I could add a recommendation for that as well.